Package ghidra.rmi.trace

# Class TraceRmi.XRequestInvokeMethod.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder>
ghidra.rmi.trace.TraceRmi.XRequestInvokeMethod.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.XRequestInvokeMethodOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.XRequestInvokeMethod`

public static final class TraceRmi.XRequestInvokeMethod.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder> implements TraceRmi.XRequestInvokeMethodOrBuilder
Protobuf type `ghidra.rmi.trace.XRequestInvokeMethod`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.XRequestInvokeMethod.Builder`
  `addAllArguments(Iterable<? extends TraceRmi.MethodArgument> values)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `addArguments(int index, TraceRmi.MethodArgument value)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `addArguments(int index, TraceRmi.MethodArgument.Builder builderForValue)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `addArguments(TraceRmi.MethodArgument value)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `addArguments(TraceRmi.MethodArgument.Builder builderForValue)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.MethodArgument.Builder`
  `addArgumentsBuilder()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.MethodArgument.Builder`
  `addArgumentsBuilder(int index)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod`
  `build()`
  `TraceRmi.XRequestInvokeMethod`
  `buildPartial()`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `clear()`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `clearArguments()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `clearName()`
  `string name = 2;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `clearOid()`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.MethodArgument`
  `getArguments(int index)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.MethodArgument.Builder`
  `getArgumentsBuilder(int index)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `List<TraceRmi.MethodArgument.Builder>`
  `getArgumentsBuilderList()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `int`
  `getArgumentsCount()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `List<TraceRmi.MethodArgument>`
  `getArgumentsList()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.MethodArgumentOrBuilder`
  `getArgumentsOrBuilder(int index)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `List<? extends TraceRmi.MethodArgumentOrBuilder>`
  `getArgumentsOrBuilderList()`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `String`
  `getName()`
  `string name = 2;`
  `com.google.protobuf.ByteString`
  `getNameBytes()`
  `string name = 2;`
  `TraceRmi.DomObjId`
  `getOid()`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjId.Builder`
  `getOidBuilder()`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasOid()`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `mergeFrom(TraceRmi.XRequestInvokeMethod other)`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `mergeOid(TraceRmi.DomObjId value)`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `removeArguments(int index)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `setArguments(int index, TraceRmi.MethodArgument value)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `setArguments(int index, TraceRmi.MethodArgument.Builder builderForValue)`
  `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `setName(String value)`
  `string name = 2;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `setNameBytes(com.google.protobuf.ByteString value)`
  `string name = 2;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `setOid(TraceRmi.DomObjId value)`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.XRequestInvokeMethod.Builder`
  `setOid(TraceRmi.DomObjId.Builder builderForValue)`
  `optional .ghidra.rmi.trace.DomObjId oid = 1;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder>`

  - ### clear

    public TraceRmi.XRequestInvokeMethod.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.XRequestInvokeMethod getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.XRequestInvokeMethod build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.XRequestInvokeMethod buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.XRequestInvokeMethod.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder>`

  - ### mergeFrom

    public TraceRmi.XRequestInvokeMethod.Builder mergeFrom(TraceRmi.XRequestInvokeMethod other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder>`

  - ### mergeFrom

    public TraceRmi.XRequestInvokeMethod.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.XRequestInvokeMethod.Builder>`
    Throws:
      `IOException`

  - ### hasOid

    public boolean hasOid()
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `hasOid` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`
    Returns:
      Whether the oid field is set.

  - ### getOid

    public TraceRmi.DomObjId getOid()
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOid` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`
    Returns:
      The oid.

  - ### setOid

    public TraceRmi.XRequestInvokeMethod.Builder setOid(TraceRmi.DomObjId value)
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`

  - ### setOid

    public TraceRmi.XRequestInvokeMethod.Builder setOid(TraceRmi.DomObjId.Builder builderForValue)
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`

  - ### mergeOid

    public TraceRmi.XRequestInvokeMethod.Builder mergeOid(TraceRmi.DomObjId value)
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`

  - ### clearOid

    public TraceRmi.XRequestInvokeMethod.Builder clearOid()
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidBuilder

    public TraceRmi.DomObjId.Builder getOidBuilder()
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidOrBuilder

    public TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `optional .ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOidOrBuilder` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`

  - ### getName

    public String getName()
    `string name = 2;`
    Specified by:
      `getName` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`
    Returns:
      The name.

  - ### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()
    `string name = 2;`
    Specified by:
      `getNameBytes` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`
    Returns:
      The bytes for name.

  - ### setName

    public TraceRmi.XRequestInvokeMethod.Builder setName(String value)
    `string name = 2;`
    Parameters:
      `value` - The name to set.
    Returns:
      This builder for chaining.

  - ### clearName

    public TraceRmi.XRequestInvokeMethod.Builder clearName()
    `string name = 2;`
    Returns:
      This builder for chaining.

  - ### setNameBytes

    public TraceRmi.XRequestInvokeMethod.Builder setNameBytes(com.google.protobuf.ByteString value)
    `string name = 2;`
    Parameters:
      `value` - The bytes for name to set.
    Returns:
      This builder for chaining.

  - ### getArgumentsList

    public List<TraceRmi.MethodArgument> getArgumentsList()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
    Specified by:
      `getArgumentsList` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`

  - ### getArgumentsCount

    public int getArgumentsCount()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
    Specified by:
      `getArgumentsCount` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`

  - ### getArguments

    public TraceRmi.MethodArgument getArguments(int index)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
    Specified by:
      `getArguments` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`

  - ### setArguments

    public TraceRmi.XRequestInvokeMethod.Builder setArguments(int index, TraceRmi.MethodArgument value)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### setArguments

    public TraceRmi.XRequestInvokeMethod.Builder setArguments(int index, TraceRmi.MethodArgument.Builder builderForValue)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### addArguments

    public TraceRmi.XRequestInvokeMethod.Builder addArguments(TraceRmi.MethodArgument value)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### addArguments

    public TraceRmi.XRequestInvokeMethod.Builder addArguments(int index, TraceRmi.MethodArgument value)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### addArguments

    public TraceRmi.XRequestInvokeMethod.Builder addArguments(TraceRmi.MethodArgument.Builder builderForValue)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### addArguments

    public TraceRmi.XRequestInvokeMethod.Builder addArguments(int index, TraceRmi.MethodArgument.Builder builderForValue)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### addAllArguments

    public TraceRmi.XRequestInvokeMethod.Builder addAllArguments(Iterable<? extends TraceRmi.MethodArgument> values)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### clearArguments

    public TraceRmi.XRequestInvokeMethod.Builder clearArguments()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### removeArguments

    public TraceRmi.XRequestInvokeMethod.Builder removeArguments(int index)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### getArgumentsBuilder

    public TraceRmi.MethodArgument.Builder getArgumentsBuilder(int index)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### getArgumentsOrBuilder

    public TraceRmi.MethodArgumentOrBuilder getArgumentsOrBuilder(int index)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
    Specified by:
      `getArgumentsOrBuilder` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`

  - ### getArgumentsOrBuilderList

    public List<? extends TraceRmi.MethodArgumentOrBuilder> getArgumentsOrBuilderList()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`
    Specified by:
      `getArgumentsOrBuilderList` in interface `TraceRmi.XRequestInvokeMethodOrBuilder`

  - ### addArgumentsBuilder

    public TraceRmi.MethodArgument.Builder addArgumentsBuilder()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### addArgumentsBuilder

    public TraceRmi.MethodArgument.Builder addArgumentsBuilder(int index)
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`

  - ### getArgumentsBuilderList

    public List<TraceRmi.MethodArgument.Builder> getArgumentsBuilderList()
    `repeated .ghidra.rmi.trace.MethodArgument arguments = 3;`